tigase.jaxmpp.j2se

## Class J2SECapabiliesCache

- java.lang.Object
- - tigase.jaxmpp.j2se.J2SECapabiliesCache

- All Implemented Interfaces:
    CapabilitiesCache

      public class J2SECapabiliesCache
      extends Object
      implements CapabilitiesCache

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `J2SECapabiliesCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getFeatures(String node)`
    `DiscoveryModule.Identity` | `getIdentity(String node)`
    `Set<String>` | `getNodesWithFeature(String feature)`
    `boolean` | `isCached(String node)`
    `void` | `store(String node, String name, String category, String type, Collection<String> features)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### J2SECapabiliesCache

          public J2SECapabiliesCache()

  - ### Method Detail

    - #### getFeatures

          public Set<String> getFeatures(String node)

      Specified by:
        `getFeatures` in interface `CapabilitiesCache`

    - #### getIdentity

          public DiscoveryModule.Identity getIdentity(String node)

      Specified by:
        `getIdentity` in interface `CapabilitiesCache`

    - #### getNodesWithFeature

          public Set<String> getNodesWithFeature(String feature)

      Specified by:
        `getNodesWithFeature` in interface `CapabilitiesCache`

    - #### isCached

          public boolean isCached(String node)

      Specified by:
        `isCached` in interface `CapabilitiesCache`

    - #### store

          public void store(String node,
                            String name,
                            String category,
                            String type,
                            Collection<String> features)

      Specified by:
        `store` in interface `CapabilitiesCache`

Copyright © 2006–2022 Tigase. All rights reserved.